/*
Theme Name: Braemar Men's Club
Theme URI:
Author: Hoverboard Studios
Author URI:
Description:
Requires at least: 6.7
Tested up to: 6.7
Requires PHP: 5.7
Version:
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: bmc-v2
Tags:
*/

:where(.wp-site-blocks :focus) {
  outline: none !important;
}

strong {
  font-weight: bold;
}

.disabled,
button:disabled,
button.disabled {
  background: #ccc;
  color: black;
  cursor: not-allowed;
  opacity: 0.5;
  pointer-events: none;
}

:where(figure) {
  margin: 0 0 1em;
  margin-right: 0px;
  margin-left: 0px;
}

.wp-block-table {
  overflow-x: auto;
}

.wp-block-table.is-style-stripes {
  background-color: initial;
  border-bottom: 1px solid #f0f0f0;
  border-collapse: inherit;
  border-spacing: 0;
}

.wp-block-table .has-fixed-layout {
  table-layout: fixed;
  width: 100%;
}
.wp-block-table table {
  border-collapse: collapse;
  width: 100%;
}

.wp-block-table thead {
  border-bottom: 3px solid;
}

.wp-block-table.is-style-stripes tbody tr:nth-child(2n + 1) {
  background-color: #f0f0f0;
}

.wp-block-table.is-style-stripes td,
.wp-block-table.is-style-stripes th {
  border-color: #0000;
}

.wp-block-table td,
.wp-block-table th {
  border: 1px solid;
  border-top-color: currentcolor;
  border-right-color: currentcolor;
  border-bottom-color: currentcolor;
  border-left-color: currentcolor;
  padding: 0.5em;
}

.table-responsive {
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  margin-bottom: 1rem;
}

#projectSpreadsheet {
  width: 100%;
  border-collapse: collapse;
  min-width: 1000px;
}

#projectSpreadsheet th,
#projectSpreadsheet td {
  padding: 16px;
  text-align: left;
}

#projectSpreadsheet td {
  word-break: break-all;
  width: auto;
}

/* First and Last Name table cell */
#projectSpreadsheet td:nth-child(1),
#projectSpreadsheet td:nth-child(2) {
  word-break: unset;
}

/* Email table header and data cell */
#projectSpreadsheet th:nth-child(3),
#projectSpreadsheet td:nth-child(3) {
  width: 25%;
}

#projectSpreadsheet td a {
  display: block;
}

.bmc-registration {
  background: #e4f7ed;
  border: 2px solid var(--wp--preset--color--custom-accent-1);
  border-radius: 10px;
  bottom: 20px;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.35);
  left: 20%;
  padding: 16px;
  position: fixed;
  right: 20%;
  z-index: 99;
}

.bmc-registration__header {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.bmc-registration__toggle {
  background: black;
  border: 0;
  border-radius: 3px;
  color: white;
  cursor: pointer;
  padding: 3px 6px;
  position: absolute;
  right: -10px;
  top: -10px;
}

.bmc-registration__svg {
  align-items: center;
  display: flex;
}

.bmc-registration__description {
  font-size: var(--wp--preset--font-size--medium);
  margin: 0 20px 0 10px;
}

.bmc-registration__buttons {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 0;
}

.bmc-registration__row {
  display: flex;
}

.bmc-registration__link {
  font-size: var(--wp--preset--font-size--small);
}

@media (min-width: 545px) {
  .bmc-registration__buttons {
    flex-direction: row;
  }
}

.bmc-registration__buttons.is-hidden {
  display: none;
}

.bmc-registration .wc-block-components-notice-banner {
  margin: 0;
}

.bmc-registration--reverse {
  background: var(--wp--preset--color--custom-accent-2);
}

.bmc-registration__link:hover {
  background: black;
}

.wp-element-button {
  border-radius: 99999px;
}

.no-top-margin {
  margin-top: 0 !important;
  margin-block-start: 0 !important;
}

.golf-genius {
  align-content: center;
  background: #f3f3f3;
  border-radius: 5px;
  box-shadow: 0 3px 0 0 rgba(0, 0, 0, 0.15);
  display: flex;
  justify-content: center;
  padding: 10px;
  max-width: 250px;
}

.golf-genius:focus,
.golf-genius:hover,
.golf-genius:active {
  background: #fafafa;
  box-shadow: 0 4px 0 0 rgba(0, 0, 0, 0.15);
}

/* Ultimate Member */

.um-field-divider-text {
  position: static !important;
}

p.um-notice.success,
.um-woo-form span.um-woo-status.completed {
  background: var(--wp--preset--color--custom-accent-1) !important;
}

/* Link colors */
.um a.um-link,
.um .um-tip:hover,
.um .um-field-radio.active:not(.um-field-radio-state-disabled) i,
.um .um-field-checkbox.active:not(.um-field-radio-state-disabled) i,
.um .um-member-name a:hover,
.um .um-member-more a:hover,
.um .um-member-less a:hover,
.um .um-members-pagi a:hover,
.um .um-cover-add:hover,
.um-faicon-cog:hover,
.um .um-profile-subnav a.active,
.um .um-item-meta a,
.um-account-name a:hover,
.um-account-nav a.current,
.um-account-side li a.current span.um-account-icon,
.um-account-side li a.current:hover span.um-account-icon,
.um-dropdown li a:hover,
i.um-active-color,
span.um-active-color {
  color: var(--wp--preset--color--custom-accent-1) !important;
}

.um a.um-link:hover,
.um a.um-link-hvr:hover {
  color: var(--wp--preset--color--custom-accent-2) !important;
}

/* Button colors */
.um .um-field-group-head,
.picker__box,
.picker__nav--prev:hover,
.picker__nav--next:hover,
.um .um-members-pagi span.current,
.um .um-members-pagi span.current:hover,
.um .um-profile-nav-item.active a,
.um .um-profile-nav-item.active a:hover,
.upload,
.um-modal-header,
.um-modal-btn,
.um-modal-btn.disabled,
.um-modal-btn.disabled:hover,
div.uimob800 .um-account-side li a.current,
div.uimob800 .um-account-side li a.current:hover,
.um .um-button,
.um a.um-button,
.um a.um-button.um-disabled:hover,
.um a.um-button.um-disabled:focus,
.um a.um-button.um-disabled:active,
.um input[type="submit"].um-button,
.um input[type="submit"].um-button:focus,
.um input[type="submit"]:disabled:hover {
  background: var(--wp--preset--color--custom-accent-1) !important;
}

.um-button {
  border-radius: 9999px !important;
}

.um .um-field-group-head:hover,
.picker__footer,
.picker__header,
.picker__day--infocus:hover,
.picker__day--outfocus:hover,
.picker__day--highlighted:hover,
.picker--focused .picker__day--highlighted,
.picker__list-item:hover,
.picker__list-item--highlighted:hover,
.picker--focused .picker__list-item--highlighted,
.picker__list-item--selected,
.picker__list-item--selected:hover,
.picker--focused .picker__list-item--selected,
.um .um-button:hover,
.um a.um-button:hover,
.um input[type="submit"].um-button:hover {
  background: var(--wp--preset--color--custom-accent-2) !important;
}

/* Button alt colors */
.um .um-button.um-alt,
.um input[type="submit"].um-button.um-alt {
  background: #eeeeee !important;
}

.um .um-button.um-alt:hover,
.um input[type="submit"].um-button.um-alt:hover {
  background: #e5e5e5 !important;
}

.um-renew {
  float: left;
  margin: 20px 15px 10px 0;
}

.um-renew-button {
  background: var(--wc-red) !important;
  display: block !important;
}

.um .um-renew-button.disabled {
  background: #ccc !important;
  color: black !important;
  cursor: not-allowed !important;
  opacity: 0.5 !important;
  pointer-events: none !important;
}

.um-modal-btn.alt {
  color: white !important;
}

.um-request-button {
  background: var(--wp--preset--color--custom-accent-1) !important;
}

.um-request-button:hover {
  background: var(--wp--preset--color--custom-accent-2) !important;
}

.um-member-participation {
  list-style: none;
  padding: 0;
}

.um-profile.um .um-profile-headericon a {
  color: gray !important;
}

/* Contact Form 7 */

.wpcf7-form-control {
  padding: 10px;
  width: 100%;
}

.wpcf7-submit {
  background-color: var(--wp--preset--color--custom-accent-1);
  border-radius: 9999px;
  border-width: 0;
  color: var(--wp--preset--color--base);
  cursor: pointer;
  font-family: var(--wp--preset--font-family--fira-code);
  font-size: var(--wp--preset--font-size--medium);
  font-style: normal;
  font-weight: 400;
  letter-spacing: -0.36px;
  line-height: inherit;
  padding-top: 1rem;
  padding-right: 2.25rem;
  padding-bottom: 1rem;
  padding-left: 2.25rem;
  text-decoration: none;
  width: auto;
}

.wpcf7-submit:active,
.wpcf7-submit:focus,
.wpcf7-submit:hover {
  background-color: var(--wp--preset--color--custom-accent-2);
}

/* WooCommerce */

.wc-block-components-notice-banner.is-error a {
  color: #cc1818;
}

.wc-block-components-notice-banner.is-error a:active,
.wc-block-components-notice-banner.is-error a:focus,
.wc-block-components-notice-banner.is-error a:hover {
  color: var(--wc-red);
}

.woocommerce-table__product-name a,
.wc-block-order-confirmation-totals__product a {
  color: black;
  pointer-events: none;
  text-decoration: none;
}

.order-again {
  display: none;
}

/* Custom fields */
.wapf-input {
  padding: 15px;
}

/* Mini-cart title */
h2.wc-block-mini-cart__title {
  font-size: 1.5rem;
}

/* Mini-cart product bundle spacing */
.wp-block-woocommerce-mini-cart-products-table-block .wc-block-cart-items__row.is-bundled .wc-block-cart-item__wrap {
  padding-left: 2rem;
}

/* Mini-cart product item spacing */
.is-medium table.wc-block-cart-items .wc-block-cart-items__row,
.is-mobile table.wc-block-cart-items .wc-block-cart-items__row,
.is-small table.wc-block-cart-items .wc-block-cart-items__row {
  padding: 0 0 10px;
}

/* Remove link from product titles */
.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name,
table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name {
  color: black;
  pointer-events: none;
  text-decoration: none;
}

/* Remove cart images */
.wc-block-cart-item__image img {
  display: none !important;
}

/* Fix padding on cart image */
.wc-block-cart-item__wrap {
  padding-top: 0 !important;
}

.single_add_to_cart_button {
  border-radius: 9999px;
}

body:not(.woocommerce-page) .wp-block-woocommerce-add-to-cart-form .variations_button,
body:not(.woocommerce-page) .wp-block-woocommerce-add-to-cart-form form.cart {
  display: block;
}

body.home .wp-block-woocommerce-single-product .wp-block-woocommerce-product-price {
  float: none !important;
}

.woocommerce div.product form.cart .bundled_product_summary {
  margin-bottom: 0 !important;
}

body:not(.woocommerce-page) .wp-block-add-to-cart-form form.cart {
  align-items: left;
  clear: both;
  display: flex;
  flex-wrap: wrap;
}

body:not(.woocommerce-page) .woocommerce div.product form.cart button.single_add_to_cart_button,
body:not(.woocommerce-page) .woocommerce div.product form.cart button[name="add-to-cart"] {
  display: block;
}

body.woocommerce-cart .wc-block-cart-item__image,
body.woocommerce-cart .wc-block-cart-items__header-image {
  display: none;
}

body.bmc-registration-unavailable .wp-block-add-to-cart-form .single_add_to_cart_button,
body.bmc-registration-unavailable .wp-block-woocommerce-product-collection .add_to_cart_button {
  background: #ccc;
  color: gray;
  cursor: not-allowed !important;
  opacity: 0.5;
  pointer-events: none;
  position: relative;
  text-decoration: none;
}

.wp-block-add-to-cart-form .bundle_form {
  flex-direction: column;
}

.wp-block-add-to-cart-form .bundle_button {
  align-items: center;
  display: flex;
}

.bundled_product_images {
  display: none;
}

.wp-block-add-to-cart-form div.bundled_product_summary:not(.thumbnail_hidden) .details {
  float: none;
  padding: 0;
  width: 100%;
}

.wc-block-components-product-name {
  font-weight: bold;
}

.wp-block-woocommerce-single-product .input-text.qty.text {
  width: 100%;
}

.woocommerce div.product form.cart div.quantity .qty {
  height: 45px;
  margin-bottom: 5px;
  margin-top: 5px;
  width: 100px;
}

/* Remove "View cart" link on Cart page. */
a.added_to_cart {
  display: none !important;
}

/* WordPress mobile menu */

.wp-block-loginout--mobile-only {
  display: none;
}

@media (max-width: 1150px) {
  header .wp-block-cover {
    min-height: 190px !important;
  }

  .wp-block-loginout--mobile-only {
    display: block;
    margin-bottom: 20px;
  }

  .custom-logo-link {
    width: 115px;
  }

  .bmc-mobile-container {
    flex-direction: row-reverse;
  }

  .bmc-mobile-container .wp-block-navigation__responsive-container-content {
    gap: 0;
    padding-top: 30px !important;
  }

  .bmc-mobile-container nav ul ul {
    padding-bottom: 16px;
  }

  .bmc-mobile-container nav ul li,
  .bmc-mobile-container nav ul button {
    width: 100%;
  }

  .bmc-mobile-container nav ul a {
    align-self: start;
    display: inline-flex;
    padding: 7px 0 !important;
  }

  .wp-block-navigation__responsive-container:not(.is-menu-open.is-menu-open) {
    display: none;
  }

  .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: flex;
  }

  .bmc-registration__header {
    flex-direction: column;
  }

  .bmc-registration__buttons {
    margin-top: 16px;
  }

  .bmc-registration__description {
    font-size: var(--wp--preset--font-size--medium);
    margin: 0 0 0 10px;
  }
}

@media (min-width: 601px) {
  .bmc-registration {
    min-width: 400px;
  }
}

@media (max-width: 600px) {
  .wp-block-buttons > .wp-block-button.wp-block-button__width-25 {
    width: auto;
  }

  .bmc-registration {
    left: 20px;
    right: 20px;
  }

  .custom-logo-link {
    width: 90px;
  }

  .bmc-registration__link {
    text-align: center;
    width: 100%;
  }

  .wc-block-cart-item__total-price-and-sale-badge-wrapper {
    padding-right: 10px;
  }

  .editor-styles-wrapper
    table.wc-block-cart-items
    .wc-block-cart-items__row
    .wc-block-cart-item__quantity
    .wc-block-cart-item__remove-link,
  table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
    margin-bottom: 10px;
  }

  /* Reducing mini cart spacing on mobile */
  .is-medium table.wc-block-cart-items .wc-block-cart-items__row,
  .is-mobile table.wc-block-cart-items .wc-block-cart-items__row,
  .is-small table.wc-block-cart-items .wc-block-cart-items__row {
    padding: 0;
  }

  .no-padding-mobile {
    padding: 0 !important;
  }
}
